#
# python t4_disks2t4.py input_filename output_filename
#    where
#         input_filename: file containing T4 data
#         output_filename: result file containing T4 in new format
#
#

import sys, csv

def main():
    "Main routine"
    reader = csv.reader(file(sys.argv[1]))
    writer = csv.writer(file(sys.argv[2], 'wb'))

    row = reader.next()
    writer.writerow(row)
    node = row[0]
    print 'Node:', node

    row = reader.next()
    writer.writerow(row)

    row = reader.next()
    writer.writerow(row)

    row = reader.next()
    for i in range(len(row)):
        if i == 0:
            row[i] = "[MON]Sample Time"
        else:
            a, dsk = row[i].split(' ')
            a, itm = a.split(']')
            row[i] = '[%s]%s' % (dsk, itm)
    writer.writerow(row)
    
    for row in reader:
        writer.writerow(row)

if __name__ == '__main__':
    main()

